The payment API is used to initiate/schedule a single transfer to the beneficiary account, UPI address, or credit card.
Environment
| Test Environment | https://uatoneapi.payu.in/payout/v2/payment |
| Production Environment | https://payout.payumoney.com/payout/payment |
Sample request
IMPS, NEFT or RTGS Payment Request
[
{
"beneficiaryAccountNumber": "51234567890",
"beneficiaryIfscCode": "HDFC0001234",
"beneficiaryName": "Payu",
"beneficiaryEmail": "[email protected]",
"beneficiaryMobile": "9876473627",
"purpose": "Payment from Company",
"amount": 1234.12,
"batchId": "1",
"merchantRefId": "123asdfad3",
"paymentType": "IMPS",
"retry" : false
}
]UPI Payment Request
[
{
"beneficiaryName": "Payu",
"beneficiaryEmail": "[email protected]",
"beneficiaryMobile": "9876473627",
"purpose": "Payment from Company",
"amount": 1234.12,
"batchId": "1",
"merchantRefId": "123",
"paymentType": "UPI",
"vpa" : "ankush.pokarana@ybl",
"retry" : false
}
]Sample response
Success response
{
"status": 0,
"msg": "Requests are in process. Will send response of individual request on webhooks set by you",
"code": null,
"data": []
}Failure response
{
"status": 1,
"msg": null,
"code": null,
"data": [
{
"batchId": "1",
"merchantRefId": "111",
"error": "beneficiary account number can not be empty. ",
"code": [1004]
}
]
}Header and request parameters
Version 2.0 API:This page includes Try IT experience for version 2.0. of Initiate TransferAPI, so you need to pass the pid in the header unlike payoutMerchantId with version 1.0 APIs.
Additional information for Request parameters
| Field | Description | Example |
|---|---|---|
merchantRefId |
|
|
paymentType |
|
UPI |
